Bug 440779 - Add support for viewing retrieved HTML data without web engine or kit
Summary: Add support for viewing retrieved HTML data without web engine or kit
Status: RESOLVED FIXED
Alias: None
Product: libalkimia
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Other All
: NOR wishlist
Target Milestone: 8.1
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-09 10:58 UTC by Ralf Habacker
Modified: 2021-08-11 13:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 8.1.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2021-08-09 10:58:53 UTC
If alkimia has been configured to use Web-Engine or Webkit, these components are used to display queried (HTML) data. If neither of these components is available, QTextBrowser would be an alternative.

STEPS TO REPRODUCE
1. download alkimia source
2. cmake configure the source with -DBUILD_WITH_WEBKIT=off
3. build binaries from the source
4. run onlinequoteseditor5
5. select one quote source and press "check source"

OBSERVED RESULT
In the browser window there is no html data displayed

EXPECTED RESULT
The browser window should display the retrieved html data

SOFTWARE/OS VERSIONS
Linux: openSUSE_Leap 15.2 
KDE Frameworks Version: 5.71
Qt Version: 5.12
Comment 1 Bug Janitor Service 2021-08-09 11:30:12 UTC
A possibly relevant merge request was started @ https://invent.kde.org/office/alkimia/-/merge_requests/12
Comment 2 Ralf Habacker 2021-08-11 07:07:53 UTC
Git commit 1ec58e098596f3912806c3816bd50c6f5a21b009 by Ralf Habacker.
Committed on 09/08/2021 at 12:08.
Pushed by habacker into branch '8.1'.

Add support for viewing retrieved HTML data without web engine or kit
FIXED-IN:8.1.1

M  +11   -6    CMakeLists.txt
M  +4    -7    src/alkwebpage.cpp
M  +3    -4    src/alkwebpage.h
M  +9    -5    tools/onlinequoteseditor/mainwindow.cpp

https://invent.kde.org/office/alkimia/commit/1ec58e098596f3912806c3816bd50c6f5a21b009